Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.sdk.editor.datamodel
Class PrimitiveFactType

`java.lang.Object
java.util.AbstractMap
java.util.HashMap
oracle.rules.sdk.editor.datamodel.ModelComponent
oracle.rules.sdk.editor.datamodel.FactType
oracle.rules.sdk.editor.datamodel.PrimitiveFactType`

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public class PrimitiveFactType
extends FactType

It represents a primitive type,

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.rules.sdk.editor.datamodel.FactType
`BOOLEAN, BYTE, CHAR, DOUBLE, FLOAT, FORMS, INT, JAVA, JAXB, LONG, PRIMITIVE, PROP_FORM, RL, SHORT, STRING, VOID`

Fields inherited from class oracle.rules.sdk.editor.datamodel.ModelComponent
`m_dm, m_parent, PROP_ALIAS, PROP_ID, PROP_NAME, PROP_PROPERTIES, PROP_VISIBLE`

Methods inherited from class oracle.rules.sdk.editor.datamodel.FactType
`getForm, getFormOptions, setForm`

Methods inherited from class oracle.rules.sdk.editor.datamodel.ModelComponent
`get, getAlias, getDataModel, getID, getName, getParent, getProperties, getVisible, setAlias, setName, setVisible, validate`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.